#ifndef __XMLIO__
#define __XMLIO__

/// Entêtes STL ///
#include <utility>
#include <string>
#include <cmath>

// Conteneurs.
#include <vector>
#include <set>
#include <stack>

// Flux.
#include <iostream>
#include <fstream>
#include <sstream>

/// Entêtes Poco ///
#include <Poco/Exception.h>
#include <Poco/HashMap.h>
#include <Poco/Hash.h>

// Entêtes Poco DOM
#include <Poco/DOM/DOMParser.h>
#include <Poco/DOM/Document.h>
#include <Poco/DOM/Element.h>

#include <Poco/DOM/NamedNodeMap.h>

#include <Poco/DOM/AutoPtr.h>

// Entêtes Poco SAX.
#include <Poco/SAX/InputSource.h>

/// Entête Blitz array ///
#include <blitz/array.h>

/// Entêtes créés dans le cadre du projet XMLIOSERVER. ///
#include "logger.hpp"
#include "exception.hpp"
#include "container.hpp"
#include "abstract_object.hpp"

// Gestion du calendrier.
#include "duration.hpp"
#include "date.hpp"
#include "abstract_calendar.hpp"
#include "calendar.hpp"
#include "calendar_utils.hpp"

// Gestion de l'écriture des données.
#include "abstract_data_output.hpp"

//....
#include "xml_node.hpp"
#include "object_template.hpp"

// Traitement des opérations sur les champs
#include "field_operation.hpp"

// Gestion des attributs des objets.
#include "grid_attribut.hpp"
#include "axis_attribut.hpp"
#include "domain_attribut.hpp"
#include "field_attribut.hpp"
#include "file_attribut.hpp"

#include "group_template.hpp"
#include "declare_group.hpp"

// Prise en charge des champs, fichiers, axes, domaines, grilles ...
#include "field.hpp"
#include "axis.hpp"
#include "domain.hpp"
#include "grid.hpp"
#include "file.hpp"

#undef DECLARE_ATTR
#undef DECLARE_GROUP

//....
#include "context.hpp"
#include "xml_parser.hpp"

// Résolution des références aux grilles pour les champs.
#include "field_gridrefsolver.hpp"

// Gestion de l'écriture des données NetCDF
#include "NetCDF4_data_output.hpp"

// Traitement des données.
#include "data_treatment.hpp"

#endif // __XMLIO__
